Company logoTrust Center Documentation

Update import defaults

Change the access level applied to imported entries that carry no row override. Browse request parameters, authentication requirements, response payloads,…

PATCH
/api/v1/imports/{id}

Change the access level applied to imported entries that carry no row override.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Import session identifier

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/imports/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "defaults": {      "access_level": "restricted"    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "state": "created",  "defaults": {    "access_level": "public"  }}

How is this guide?